using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Quality
{
	public enum EQualityState
	{
		/// <summary>
		/// 待质检
		/// </summary>
		[Description("待质检")]
		Apply = 0,

		/// <summary>
		/// 已质检
		/// </summary>
		[Description("已质检")]
		End = 1,
	}

	public enum EQualitySource
	{
		/// <summary>
		/// 受理待质检
		/// </summary>
		[Description("受理待质检")]
		Accepted = 1,

		/// <summary>
		/// 派单待质检
		/// </summary>
		[Description("派单待质检")]
		Send = 2,

		/// <summary>
		/// 回访待质检
		/// </summary>
		[Description("回访待质检")]
		Visit = 3
	}

	public enum EQualityTransferState
	{
		/// <summary>
		/// 未开始
		/// </summary>
		[Description("未开始")]
		NotStarted = 0,

		/// <summary>
		/// 转写中
		/// </summary>
		[Description("转写中")]
		Translating = 1,

		/// <summary>
		/// 转写成功
		/// </summary>
		[Description("转写成功")]
		Succeed = 2,

		/// <summary>
		/// 转写失败
		/// </summary>
		[Description("转写失败")]
		Lose = 3,
	}

	public enum EQualityTransferType {

		/// <summary>
		/// 坐席
		/// </summary>
		[Description("坐席")]
		Seats = 0,

		/// <summary>
		/// 市民
		/// </summary>
		[Description("市民")]
		Citizen = 1,
	}
}
